# Name

HPL_sum Combine (sum) two buffers.

# Synopsis

`#include "hpl.h"`
`void` `HPL_sum(` `const int` `N`, `const void *` `IN`, `void *` `INOUT`, `const HPL_T_TYPE` `DTYPE` `);`

# Description

HPL_sum combines (sum) two buffers.

# Arguments

    N       (input)                       const int
            On entry, N  specifies  the  length  of  the  buffers  to  be
            combined. N must be at least zero.

    IN      (input)                       const void *
            On entry, IN points to the input-only buffer to be combined.

    INOUT   (input/output)                void *
            On entry, INOUT  points  to  the  input-output  buffer  to be
            combined.  On exit,  the  entries of this array contains  the
            combined results.

    DTYPE   (input)                       const HPL_T_TYPE
            On entry,  DTYPE  specifies the type of the buffers operands.

# See Also

HPL_broadcast, HPL_reduce, HPL_all_reduce, HPL_barrier, HPL_min, HPL_max, HPL_sum.